All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface Measure

All Superinterfaces:
  CMetadata, Feature, LogicalColumn, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

All Known Subinterfaces:
  CalculatedMeasure

    public interface Measure

extends LogicalColumn

A special dimension that contains summarized numeric data values that are analyzed. Total Sales and Average Revenue are examples of measures. For example, you might drill down within the Clothing hierarchy of the Product dimension to see the value of the Total Sales measure for the Shirts member.

Attributes of Measure are:

- `IsStoredStatistic`
- `Statistic`
- `UniqueName`
- `Units`

Associations of Measure are:

- `Cubes`
- `OwningDimension`

## Usage

To create an instance of this Measure, use the `factory` create methods.
Example: create a Measure with name "Measure_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Measure myObject = (Measure) factory.createComplexMetadataObject(objectStore, "Measure_Object", MetadataObjects.MEASURE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_CUBES_NAME` Constant used for the name of the Cubes association.
`static java.lang.String` | `ASSOCIATION_OWNINGDIMENSION_NAME` Constant used for the name of the OwningDimension association.
`static java.lang.String` | `ATTRIBUTE_ISSTOREDSTATISTIC_NAME` Constant used for the name of the IsStoredStatistic attribute.
`static java.lang.String` | `ATTRIBUTE_STATISTIC_NAME` Constant used for the name of the Statistic attribute.
`static java.lang.String` | `ATTRIBUTE_UNIQUENAME_NAME` Constant used for the name of the UniqueName attribute.
`static java.lang.String` | `ATTRIBUTE_UNITS_NAME` Constant used for the name of the Units attribute.

Fields inherited from interface com.sas.metadata.remote.LogicalColumn
`ATTRIBUTE_COLUMNLENGTH_NAME, ATTRIBUTE_COLUMNNAME_NAME, ATTRIBUTE_COLUMNTYPE_NAME, ATTRIBUTE_SASFORMAT_NAME, ATTRIBUTE_SASINFORMAT_NAME`

Fields inherited from interface com.sas.metadata.remote.Feature
`ASSOCIATION_SOURCEFEATUREMAPS_NAME, ASSOCIATION_TARGETFEATUREMAPS_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`AssociationList` | `getCubes()` Gets the AssociationList of `Cubes`
`AssociationList` | `getCubes(boolean fGoToServer)` Gets the Associationlist of `Cubes`
`int` | `getIsStoredStatistic()` Gets the `int` value of `IsStoredStatistic`
`int` | `getIsStoredStatisticState()` Gets the Metadata State of `IsStoredStatistic`
`Dimension` | `getOwningDimension()` Gets the `Dimension` for `OwningDimension`
`AssociationList` | `getOwningDimensions()` Gets the AssociationList of `OwningDimensions`
`AssociationList` | `getOwningDimensions(boolean fGoToServer)` Gets the Associationlist of `OwningDimensions`
`java.lang.String` | `getStatistic()` Gets the `String` value of `Statistic`
`int` | `getStatisticMaxLength()` Gets the maximum length of `Statistic`
`int` | `getStatisticState()` Gets the Metadata State of `Statistic`
`java.lang.String` | `getUniqueName()` Gets the `String` value of `UniqueName`
`int` | `getUniqueNameMaxLength()` Gets the maximum length of `UniqueName`
`int` | `getUniqueNameState()` Gets the Metadata State of `UniqueName`
`java.lang.String` | `getUnits()` Gets the `String` value of `Units`
`int` | `getUnitsMaxLength()` Gets the maximum length of `Units`
`int` | `getUnitsState()` Gets the Metadata State of `Units`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `Cubes` `OwningDimension`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are: `OwningDimension`
`void` | `setCubes(AssociationList list)` Sets the `Cubes` list to be `list`.
`void` | `setCubes(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setIsStoredStatistic(int inIsStoredStatistic)` Sets the `IsStoredStatistic` value and sets the state to MetadataState.LOCAL.
`void` | `setIsStoredStatistic(int inIsStoredStatistic, int state)` Sets the `IsStoredStatistic` Metadata State.
`void` | `setIsStoredStatistic(java.lang.String inIsStoredStatistic)` Sets the `IsStoredStatistic` value and sets the state to MetadataState.LOCAL.
`void` | `setIsStoredStatistic(java.lang.String inIsStoredStatistic, int state)` Sets the `IsStoredStatistic` value and Metadata State.
`void` | `setIsStoredStatisticState(int state)` Sets the Metadata State of `IsStoredStatistic`.
`void` | `setOwningDimension(Dimension inObject)` Sets the `OwningDimensions` list 0th element to be `inObject`.
`void` | `setOwningDimensions(AssociationList list)` Sets the `OwningDimensions` list to be `list`.
`void` | `setOwningDimensions(AssociationList list, int state)` Sets the `OwningDimensions` list to be `list`.
`void` | `setStatistic(java.lang.String inStatistic)` Sets the `Statistic` value and sets the state to MetadataState.LOCAL.
`void` | `setStatistic(java.lang.String inStatistic, int state)` Sets the `Statistic` Metadata State.
`void` | `setStatisticState(int state)` Sets the Metadata State of `Statistic`.
`void` | `setUniqueName(java.lang.String inUniqueName)` Sets the `UniqueName` value and sets the state to MetadataState.LOCAL.
`void` | `setUniqueName(java.lang.String inUniqueName, int state)` Sets the `UniqueName` Metadata State.
`void` | `setUniqueNameState(int state)` Sets the Metadata State of `UniqueName`.
`void` | `setUnits(java.lang.String inUnits)` Sets the `Units` value and sets the state to MetadataState.LOCAL.
`void` | `setUnits(java.lang.String inUnits, int state)` Sets the `Units` Metadata State.
`void` | `setUnitsState(int state)` Sets the Metadata State of `Units`.

Methods inherited from interface com.sas.metadata.remote.LogicalColumn
`getColumnLength, getColumnLengthState, getColumnName, getColumnNameMaxLength, getColumnNameState, getColumnType, getColumnTypeState, getSASFormat, getSASFormatMaxLength, getSASFormatState, getSASInformat, getSASInformatMaxLength, getSASInformatState, setColumnLength, setColumnLength, setColumnLength, setColumnLength, setColumnLengthState, setColumnName, setColumnName, setColumnNameState, setColumnType, setColumnType, setColumnType, setColumnType, setColumnTypeState, setSASFormat, setSASFormat, setSASFormatState, setSASInformat, setSASInformat, setSASInformatState`

Methods inherited from interface com.sas.metadata.remote.Feature
`getSourceFeatureMaps, getSourceFeatureMaps, getTargetFeatureMaps, getTargetFeatureMaps, setSourceFeatureMaps, setSourceFeatureMaps, setTargetFeatureMaps, setTargetFeatureMaps`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ISSTOREDSTATISTIC_NAME

    static final java.lang.String ATTRIBUTE_ISSTOREDSTATISTIC_NAME

  Constant used for the name of the IsStoredStatistic attribute.

  IsStoredStatistic: True if the statistic is precalculated, false if the statistic need to be calculated.

  See Also:
    Constant Field Values

### ATTRIBUTE_STATISTIC_NAME

    static final java.lang.String ATTRIBUTE_STATISTIC_NAME

  Constant used for the name of the Statistic attribute.

  Statistic: Later we will add a list of recommended string values.

  See Also:
    Constant Field Values

### ATTRIBUTE_UNIQUENAME_NAME

    static final java.lang.String ATTRIBUTE_UNIQUENAME_NAME

  Constant used for the name of the UniqueName attribute.

  UniqueName: The unique name for a measure

  See Also:
    Constant Field Values

### ATTRIBUTE_UNITS_NAME

    static final java.lang.String ATTRIBUTE_UNITS_NAME

  Constant used for the name of the Units attribute.

  Units: The units of the measure.

  See Also:
    Constant Field Values

### ASSOCIATION_CUBES_NAME

    static final java.lang.String ASSOCIATION_CUBES_NAME

  Constant used for the name of the Cubes association.

  Cubes: The cubes that contain this measure.

  See Also:
    Constant Field Values

### ASSOCIATION_OWNINGDIMENSION_NAME

    static final java.lang.String ASSOCIATION_OWNINGDIMENSION_NAME

  Constant used for the name of the OwningDimension association.

  OwningDimension: The dimension that contains this measure.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:
  `OwningDimension`

  Specified by:
    `initializeRequiredObjects` in interface `Feature`
  Specified by:
    `initializeRequiredObjects` in interface `LogicalColumn`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `Cubes`
  `OwningDimension`

  Specified by:
    `initializePredObjects` in interface `Feature`
  Specified by:
    `initializePredObjects` in interface `LogicalColumn`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsStoredStatistic

    int getIsStoredStatistic()
                             throws java.rmi.RemoteException

  Gets the `int` value of `IsStoredStatistic`

  Returns:
    The `IsStoredStatistic`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsStoredStatisticState

    int getIsStoredStatisticState()
                                  throws java.rmi.RemoteException

  Gets the Metadata State of `IsStoredStatistic`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getStatistic

    java.lang.String getStatistic()
                                  throws java.rmi.RemoteException

  Gets the `String` value of `Statistic`

  Returns:
    The `Statistic`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getStatisticState

    int getStatisticState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `Statistic`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getStatisticMaxLength

    int getStatisticMaxLength()
                              throws java.rmi.RemoteException

  Gets the maximum length of `Statistic`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUniqueName

    java.lang.String getUniqueName()
                                   throws java.rmi.RemoteException

  Gets the `String` value of `UniqueName`

  Returns:
    The `UniqueName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUniqueNameState

    int getUniqueNameState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `UniqueName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUniqueNameMaxLength

    int getUniqueNameMaxLength()
                               throws java.rmi.RemoteException

  Gets the maximum length of `UniqueName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUnits

    java.lang.String getUnits()
                              throws java.rmi.RemoteException

  Gets the `String` value of `Units`

  Returns:
    The `Units`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUnitsState

    int getUnitsState()
                      throws java.rmi.RemoteException

  Gets the Metadata State of `Units`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUnitsMaxLength

    int getUnitsMaxLength()
                          throws java.rmi.RemoteException

  Gets the maximum length of `Units`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCubes

    AssociationList getCubes()
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the AssociationList of `Cubes`

  Returns:
    Returns the AssociationList of `Cubes` which can be of type:
    Cube
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOwningDimensions

    AssociationList getOwningDimensions()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `OwningDimensions`

  Returns:
    Returns the AssociationList of `OwningDimensions` which can be of type:
    Dimension
    SharedDimension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getOwningDimension

    Dimension getOwningDimension()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the `Dimension` for `OwningDimension`

  Returns:
    The `Dimension` ( `null` if not set) of `OwningDimension`which can be of type:
    Dimension
    SharedDimension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCubes

    AssociationList getCubes(boolean fGoToServer)
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the Associationlist of `Cubes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Cubes` which can be of type:
    Cube
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOwningDimensions

    AssociationList getOwningDimensions(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `OwningDimensions`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `OwningDimensions` which can be of type:
    Dimension
    SharedDimension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setIsStoredStatistic

    void setIsStoredStatistic(int inIsStoredStatistic)
                              throws java.rmi.RemoteException

  Sets the `IsStoredStatistic` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsStoredStatistic` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsStoredStatistic

    void setIsStoredStatistic(int inIsStoredStatistic,
                              int state)
                              throws java.rmi.RemoteException

  Sets the `IsStoredStatistic` Metadata State.

  Parameters:
    `inIsStoredStatistic` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsStoredStatistic

    void setIsStoredStatistic(java.lang.String inIsStoredStatistic)
                              throws java.rmi.RemoteException

  Sets the `IsStoredStatistic` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsStoredStatistic` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsStoredStatistic

    void setIsStoredStatistic(java.lang.String inIsStoredStatistic,
                              int state)
                              throws java.rmi.RemoteException

  Sets the `IsStoredStatistic` value and Metadata State.

  Parameters:
    `inIsStoredStatistic` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsStoredStatisticState

    void setIsStoredStatisticState(int state)
                                   throws java.rmi.RemoteException

  Sets the Metadata State of `IsStoredStatistic`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setStatistic

    void setStatistic(java.lang.String inStatistic)
                      throws java.rmi.RemoteException

  Sets the `Statistic` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inStatistic` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setStatistic

    void setStatistic(java.lang.String inStatistic,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `Statistic` Metadata State.

  Parameters:
    `inStatistic` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setStatisticState

    void setStatisticState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `Statistic`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueName

    void setUniqueName(java.lang.String inUniqueName)
                       throws java.rmi.RemoteException

  Sets the `UniqueName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inUniqueName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueName

    void setUniqueName(java.lang.String inUniqueName,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `UniqueName` Metadata State.

  Parameters:
    `inUniqueName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueNameState

    void setUniqueNameState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `UniqueName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUnits

    void setUnits(java.lang.String inUnits)
                  throws java.rmi.RemoteException

  Sets the `Units` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inUnits` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUnits

    void setUnits(java.lang.String inUnits,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Units` Metadata State.

  Parameters:
    `inUnits` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUnitsState

    void setUnitsState(int state)
                       throws java.rmi.RemoteException

  Sets the Metadata State of `Units`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCubes

    void setCubes(AssociationList list)
                  throws java.rmi.RemoteException

  Sets the `Cubes` list to be `list`. Objects of which can be of type:
  Cube

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCubes

    void setCubes(AssociationList inObjects,
                  int state)
                  throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningDimensions

    void setOwningDimensions(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `OwningDimensions` list to be `list`. Object of which can be of type:
  Dimension
  SharedDimension

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningDimensions

    void setOwningDimensions(AssociationList list,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `OwningDimensions` list to be `list`. Object of which can be of type:
  Dimension
  SharedDimension

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningDimension

    void setOwningDimension(Dimension inObject)
                            throws java.rmi.RemoteException

  Sets the `OwningDimensions` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Dimension
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.